%global username	ebnetd
%global gecos		EBNET User
%global base_homedir	%{_var}/lib/
%global homedir		%{base_homedir}%{username}

Name:		ebnetd
Version:	1.0
Release:	7%{?dist}
License:	GPLv2+
URL:		http://www.sra.co.jp/people/m-kasahr/ebnetd/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	eb-devel

Source0:	ftp://ftp.sra.co.jp/pub/misc/eb/%{name}-%{version}.tar.gz
Source1:	ebnetd.xinetd
Source2:	ndtpd.xinetd
Source3:	ebhttpd.xinetd
Source4:	ebhttpd-README.dist
Patch0:		ebnetd-1.0-info.patch


Summary:	EBNET protocol server
Group:		System Environment/Daemons
Requires:	%{name}-common = %{version}-%{release}

%description
EBNET is a protocol to communicate to the EB library that is a C library
for accessing "CD-ROM books".

This package contains a EBNET protocol server.


%package common
Summary:		Common package for ebnetd families
Group:			System Environment/Daemons
Requires(post):		/sbin/install-info
Requires(preun):	/sbin/install-info
Requires(pre):		shadow-utils
Requires:		xinetd

%description common
EBNET is a protocol to communicate to the EB library that is a C library
for accessing "CD-ROM books".

This package contains a bunch of the common programs/files to be shared
by ebnetd families.


%package -n ndtpd
Summary:	Network Dictionary Transfer Protocol server
Group:		System Environment/Daemons
Requires:	%{name}-common = %{version}-%{release}

%description -n ndtpd
This package contains a daemon program to speak Network Dictionary Transfer
Protocol.


%package -n ebhttpd
Summary:	HTTP server for accessing "CD-ROM books"
Group:		System Environment/Daemons
Requires:	%{name}-common = %{version}-%{release}

%description -n ebhttpd
This package contains a specialized HTTP server that supports HTTP/1.0 and
HTTP/1.1. which provide a way to access "CD-ROM books" through the EB library.

Note that ebhttpd can't be used for generic WWW purposes.


%prep
%setup -q
%patch0 -p1 -b .0-info
cp -p %{SOURCE4} .

%build
%configure --disable-static --enable-ipv6 --with-eb-conf=%{_libdir}/eb.conf --with-logdir=%{_localstatedir}/log/ebnetd --localstatedir=%{base_homedir}

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT INSTALL="/usr/bin/install -p"

install -d $RPM_BUILD_ROOT%{_var}/run/ebnetd
install -d $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -p -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/ebnet
install -p -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/ndtp
install -p -m0644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/http

# correct timestamp
## for patch0
touch -r doc/ebnetd.info.0-info doc/ebnetd.info
touch -r doc-ja/ebnetd-ja.info.0-info doc/ebnetd-ja.info

for i in `echo $RPM_BUILD_ROOT%{_infodir}/ebnetd-ja*`; do
	iconv -f euc-jp -t utf-8 $i > $i-utf8 && mv $i-utf8 $i && touch -r doc-ja/`basename $i` $i
done

sed -i	-e 's/^\(user[ 	]*\)[a-z].*$/\1ebnetd/' \
	-e 's/^\(group[ 	]*\)[a-z].*$/\1ebnetd/' \
	-e 's,^\# \(work-path[ 	]*\)[a-z/].*$,\1/var/run/ebnetd,' \
	-e 's/^\(syslog-facility[ 	]*\)[a-z0-9].*$/\1daemon/' \
	-e '/^begin .*$/,/^end$/{D}' $RPM_BUILD_ROOT%{_sysconfdir}/ebnetd.conf.sample && \
mv $RPM_BUILD_ROOT%{_sysconfdir}/ebnetd.conf{.sample,} && \
touch -r ebnetd.conf.sample $RPM_BUILD_ROOT%{_sysconfdir}/ebnetd.conf

# remove unnecessary files
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT


%pre common
getent group %{username} > /dev/null || groupadd -r %{username}
getent passwd %{username} > /dev/null || useradd -r -g %{username} -d %{homedir} -s /sbin/nologin -c '%{gecos}' %{username}
exit 0

%post common
/sbin/install-info %{_infodir}/ebnetd.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/ebnetd-ja.info %{_infodir}/dir || :

%preun common
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/ebnetd.info %{_infodir}/dir || :
	/sbin/install-info --delete %{_infodir}/ebnetd-ja.info %{_infodir}/dir || :
fi


%files
%defattr (-, root, root, -)
%{_sbindir}/ebnetd
%{_sbindir}/ebncontrol
%{_sbindir}/ebncheck
%{_libexecdir}/ebnstat
%config(noreplace) %{_sysconfdir}/xinetd.d/ebnet

%files common
%defattr (-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README UPGRADE
%lang(ja) %doc README-ja UPGRADE-ja
%{_sbindir}/ebndaily
%{_sbindir}/ebnupgrade
%{_infodir}/ebnetd.info*
%lang(ja) %doc %{_infodir}/ebnetd-ja.info*
%config(noreplace) %{_sysconfdir}/ebnetd.conf
%attr (-, ebnetd, ebnetd) %{homedir}
%attr (-, ebnetd, ebnetd) %{_var}/run/ebnetd

%files -n ndtpd
%defattr (-, root, root, -)
%{_sbindir}/ndtp*
%{_libexecdir}/ndtpstat
%config(noreplace) %{_sysconfdir}/xinetd.d/ndtp

%files -n ebhttpd
%defattr (-, root, root, -)
%doc ebhttpd-README.dist
%{_sbindir}/ebht*
%{_libexecdir}/ebhtstat
%config(noreplace) %{_sysconfdir}/xinetd.d/http


%changelog
* Mon Aug 31 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0-7
- F-12: Rebuild against new eb

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 12 2008 Akira TAGOH <tagoh@redhat.com> - 1.0-4
- Rename ebhttpd-README.fedora to ebhttpd-README.dist.

* Sat Oct 11 2008 Akira TAGOH <tagoh@redhat.com> - 1.0-3
- Add ebhttpd-README.fedora file.
- Get rid of Conflicts from ebhttpd.

* Mon Jul  7 2008 Akira TAGOH <tagoh@redhat.com> - 1.0-2
- Remove %%{_infodir}/dir.
- Remove doc files in all subpackages except -common.

* Fri May 16 2008 Akira TAGOH <tagoh@redhat.com> - 1.0-1
- Initial packaging.

